Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ejb.cmp3.base
Class EntityManagerFactoryProvider

`java.lang.Object
oracle.toplink.ejb.cmp3.base.EntityManagerFactoryProvider`

Direct Known Subclasses:
  EntityManagerFactoryProvider

public abstract class EntityManagerFactoryProvider
extends java.lang.Object

Field Summary
`static java.lang.String` | `CONFIG_FACTORY_NAME_PROPERTY`
`static java.lang.String` | `DATASOURCE_JNDI_NAME_PROPERTY`
`static java.lang.String` | `DATASOURCE_NAME_PROPERTY`
`static java.lang.String` | `EJB30_SESSIONS_XML_NAME_PROPERTY`
`static java.lang.String` | `JDBC_CONNECTION_STRING_PROPERTY`
`static java.lang.String` | `JDBC_DRIVER_PROPERTY`
`static java.lang.String` | `JDBC_PASSWORD_PROPERTY`
`static java.lang.String` | `JDBC_USER_PROPERTY`
`static java.lang.String` | `SESSION_NAME_PROPERTY`
`static java.lang.String` | `TOPLINK_EXTERNAL_TRANSACTION_CONTROLLER_PROPERTY`
`static java.lang.String` | `TOPLINK_PLATFORM_PROPERTY`
`static java.lang.String` | `TOPLINK_SERVER_PLATFORM_PROPERTY`
`static java.lang.String` | `USE_TOPLINK_JTA_PROPERTY`
`static java.lang.String` | `WRITE_DEPLOYMENT_XML_PROPERTY`

Constructor Summary
`EntityManagerFactoryProvider()`

Method Summary
`static java.lang.String` | `getConfigProperty(java.lang.String propertyName, java.util.Map providedProperties)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SESSION_NAME_PROPERTY

    public static final java.lang.String SESSION_NAME_PROPERTY

  See Also:
    Constant Field Values

### EJB30_SESSIONS_XML_NAME_PROPERTY

    public static final java.lang.String EJB30_SESSIONS_XML_NAME_PROPERTY

  See Also:
    Constant Field Values

### JDBC_DRIVER_PROPERTY

    public static final java.lang.String JDBC_DRIVER_PROPERTY

  See Also:
    Constant Field Values

### JDBC_CONNECTION_STRING_PROPERTY

    public static final java.lang.String JDBC_CONNECTION_STRING_PROPERTY

  See Also:
    Constant Field Values

### JDBC_USER_PROPERTY

    public static final java.lang.String JDBC_USER_PROPERTY

  See Also:
    Constant Field Values

### JDBC_PASSWORD_PROPERTY

    public static final java.lang.String JDBC_PASSWORD_PROPERTY

  See Also:
    Constant Field Values

### DATASOURCE_NAME_PROPERTY

    public static final java.lang.String DATASOURCE_NAME_PROPERTY

  See Also:
    Constant Field Values

### DATASOURCE_JNDI_NAME_PROPERTY

    public static final java.lang.String DATASOURCE_JNDI_NAME_PROPERTY

  See Also:
    Constant Field Values

### USE_TOPLINK_JTA_PROPERTY

    public static final java.lang.String USE_TOPLINK_JTA_PROPERTY

  See Also:
    Constant Field Values

### TOPLINK_PLATFORM_PROPERTY

    public static final java.lang.String TOPLINK_PLATFORM_PROPERTY

  See Also:
    Constant Field Values

### TOPLINK_SERVER_PLATFORM_PROPERTY

    public static final java.lang.String TOPLINK_SERVER_PLATFORM_PROPERTY

  See Also:
    Constant Field Values

### TOPLINK_EXTERNAL_TRANSACTION_CONTROLLER_PROPERTY

    public static final java.lang.String TOPLINK_EXTERNAL_TRANSACTION_CONTROLLER_PROPERTY

  See Also:
    Constant Field Values

### CONFIG_FACTORY_NAME_PROPERTY

    public static final java.lang.String CONFIG_FACTORY_NAME_PROPERTY

  See Also:
    Constant Field Values

### WRITE_DEPLOYMENT_XML_PROPERTY

    public static final java.lang.String WRITE_DEPLOYMENT_XML_PROPERTY

  See Also:
    Constant Field Values

Constructor Detail

### EntityManagerFactoryProvider

    public EntityManagerFactoryProvider()

Method Detail

### getConfigProperty

    public static java.lang.String getConfigProperty(java.lang.String propertyName,
                                                     java.util.Map providedProperties)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD